package bean;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Table implements Serializable {
   private String name;
   private String realName;
   private String schema;
   private String dbName;
   private List<Column> columnList = new ArrayList();

   public Table(String name, String schema) {
      this.name = name;
      this.schema = schema;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public List<Column> getColumnList() {
      return this.columnList;
   }

   public void setColumnList(List<Column> columnList) {
      this.columnList = columnList;
   }

   public String getRealName() {
      return this.realName;
   }

   public void setRealName(String realName) {
      this.realName = realName;
   }

   public String getDbName() {
      return this.dbName;
   }

   public void setDbName(String dbName) {
      this.dbName = dbName;
   }
}
